GDB (xrefs)

Public Attributes | List of all members
mn10300_prologue Struct Reference

## Public Attributes
struct gdbarch * | gdbarch
int | frame_size
int | has_frame_ptr
int | frame_ptr_offset
CORE_ADDR | prologue_end
int | reg_offset [MN10300_MAX_NUM_REGS]

## Detailed Description

Definition at line 47 of file mn10300-tdep.c.

## Member Data Documentation

## ◆ frame_ptr_offset

int mn10300_prologue::frame_ptr_offset

Definition at line 70 of file mn10300-tdep.c.

Referenced by mn10300_analyze_prologue(), and mn10300_frame_base().

## ◆ frame_size

int mn10300_prologue::frame_size

Definition at line 61 of file mn10300-tdep.c.

Referenced by mn10300_analyze_prologue(), and mn10300_frame_base().

## ◆ gdbarch

struct gdbarch* mn10300_prologue::gdbarch

Definition at line 50 of file mn10300-tdep.c.

Referenced by check_for_saved(), and mn10300_analyze_prologue().

## ◆ has_frame_ptr

int mn10300_prologue::has_frame_ptr

Definition at line 65 of file mn10300-tdep.c.

Referenced by mn10300_analyze_prologue(), and mn10300_frame_base().

## ◆ prologue_end

CORE_ADDR mn10300_prologue::prologue_end

Definition at line 75 of file mn10300-tdep.c.

Referenced by mn10300_skip_prologue().

## ◆ reg_offset

int mn10300_prologue::reg_offset[MN10300_MAX_NUM_REGS]

Definition at line 80 of file mn10300-tdep.c.

Referenced by check_for_saved(), mn10300_analyze_prologue(), and mn10300_frame_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mn10300-tdep.c